Subject: sbcl: Can't start sbcl with kernel 2.4.27-2-686
From: Didier Verna <[email-masked]>
To: Debian Bug Tracking System <[email-masked]>
Date: Wed, 28 Sep 2005 10:06:55 +0200

Package: sbcl
Version: 1:0.9.4.65-1
Severity: grave

        Hi !

When I try to launch SBCL, I get the following message:

 ,----
| fatal error encountered in SBCL pid 10204(tid 16384):
| This version of sbcl is compiled with threading support, but your kernel is
| too old to support this. Please use a more recent kernel or a version of sbcl
| without threading support.
`-----

... which I consider a bug since the Debian package installed just fine, and
there don't seem to be an alternative sbcl package usable for me. I don't want
to use a 2.6 kernel on my machine.

So what should I do ?

Thanks !

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.27-2-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages sbcl depends on:
ii  common-lisp-controller      4.18         This is a Common Lisp source and c
ii  libc6                       2.3.5-6      GNU C Library: Shared libraries an
ii  sbcl-common                 1:0.9.4.65-1 Architecture independent files for

Versions of packages sbcl recommends:
ii  binfmt-support                1.2.6      Support for extra binary formats

-- no debconf information